# puppet-pdagent

[![License][license-img]][license-href]

1. [Overview](#overview)
2. [Description](#description)
3. [Setup](#setup)
4. [Usage](#usage)
5. [Limitations](#limitations)
6. [Development](#development)
7. [Miscellaneous](#miscellaneous)

## Overview

The PagerDuty  Agent is a  helper program that  you install on  your monitoring
system  to integrate  your  monitoring  tools with  PagerDuty.  The Agent  also
includes command line tools to accept  events from your monitoring system and a
daemon  process that  handles the  sending of  these events  to PagerDuty.  The
daemon process  takes care  of buffering,  retrying &  throttling of  events to
PagerDuty.

[pagerduty.com][overview-href]

## Description

Puppet module to install, deploy and configure PDAgent.

## Setup

Copy this module in your modules folder without *puppet-* in the name.

or

```bash
puppet module install vpgrp-pdagent
```

## Usage

```puppet
class { 'pdagent':
  package => true,
  service => true,
}
```

## Limitations

Currently no limitations.

## Development

Please read carefully [CONTRIBUTING.md][contribute-href]  before making a merge
request.

## Miscellaneous

```
    ╚⊙ ⊙╝
  ╚═(███)═╝
 ╚═(███)═╝
╚═(███)═╝
 ╚═(███)═╝
  ╚═(███)═╝
   ╚═(███)═╝
```

[license-img]: https://img.shields.io/badge/license-Apache-blue.svg
[license-href]: LICENSE
[overview-href]: https://pagerduty.com/docs/guides/agent-install-guide
[contribute-href]: CONTRIBUTING.md
