# == Class: pdagent::params
#
class pdagent::params {
  case $::operatingsystem {
    /(?i:debian|devuan|ubuntu)/: {
      $apt_location         = 'https://packages.pagerduty.com/pdagent'
      $apt_release          = 'deb/'
      $apt_repos            = ''
      $apt_key              = '34241874978E85F344483D714037B2209E65C6CB'
      $pdagent_package_name = [ 'pdagent', 'pdagent-integrations' ]
      $pdagent_service_name = 'pdagent'
    }
    /(?i:centos|fedora|redhat)/: {
      $pdagent_package_name = [ 'pdagent', 'pdagent-integrations' ]
      $pdagent_service_name = 'pdagent'
    }
    default                    : {
      fail("Module ${module_name} is not supported on ${::operatingsystem}")
    }
  }
}
# EOF
